Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::coordinate_interpolator_node Class Reference

Inheritance diagram for openvrml::vrml97_node::coordinate_interpolator_node:

[legend]
List of all members.

## Detailed Description

CoordinateInterpolator node instances.

## Public Member Functions
| coordinate_interpolator_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~coordinate_interpolator_node () throw ()
| Destroy.
## Private Attributes
set_fraction_listener | set_fraction_listener_
| set_fraction event handler.
exposedfield< mffloat > | key_
| key exposedField.
exposedfield< mfvec3f > | key_value_
| keyValue exposedField.
mfvec3f | value_
| Current value.
mfvec3f_emitter | value_changed_
| value_changed eventOut.
## Friends
class | coordinate_interpolator_class
| Class object for CoordinateInterpolator nodes.
## Classes
class | set_fraction_listener
| set_fraction event handler. More...

## Constructor & Destructor Documentation

openvrml::vrml97_node::coordinate_interpolator_node::coordinate_interpolator_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

  | Construct. Parameters:
  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::coordinate_interpolator_node::~coordinate_interpolator_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Friends And Related Function Documentation

class openvrml::vrml97_node::coordinate_interpolator_node::coordinate_interpolator_class`[friend]`

| Class object for CoordinateInterpolator nodes.

## Member Data Documentation

coordinate_interpolator_node::set_fraction_listener openvrml::vrml97_node::coordinate_interpolator_node::set_fraction_listener_`[private]`

| set_fraction event handler.

exposedfield< mffloat > openvrml::vrml97_node::coordinate_interpolator_node::key_`[private]`

| key exposedField.

exposedfield< mfvec3f > openvrml::vrml97_node::coordinate_interpolator_node::key_value_`[private]`

| keyValue exposedField.

mfvec3f openvrml::vrml97_node::coordinate_interpolator_node::value_`[private]`

| Current value.

mfvec3f_emitter openvrml::vrml97_node::coordinate_interpolator_node::value_changed_`[private]`

| value_changed eventOut.